%global commit 4a6afcf082821f4d2d845729ccc3c16d85cfe786
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:    finalterm
Version: 0.1
Release: 12.zsh.git.40.4a9ec96
Summary: Context-aware terminal emulator

License: GPLv3
URL:     http://finalterm.org/        
Source0: finalterm-git-40.4a9ec96.tar.gz

BuildRequires: vala-devel, cmake
BuildRequires: libgee-devel, gtk3-devel
BuildRequires: clutter-devel >= 1.12, clutter-gtk-devel
BuildRequires: libmx-devel, keybinder3-devel
BuildRequires: libnotify-devel

BuildRequires: desktop-file-utils, intltool

Requires(post): glib2

%description
Final Term is a new breed of terminal emulator. It goes beyond emulation and
understands what is happening inside the shell it is hosting. This allows it
to offer features no other terminal can, including context-aware menus,
smart command completion (with intelligent ordering), collasible command
output (like a programmer's editor), and graphical indication of command
exit codes. It also supports up to 24-bit color, text reflow on resize, and
more.

Warning: Final Term is in heavy development and neither stable nor feature
complete.


%prep
%setup -q -n finalterm-git-40.4a9ec96


%build
%cmake .
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/final-term.png
%{_datadir}/icons/hicolor/scalable/apps/final-term.svg
%{_datadir}/glib-2.0/schemas/org.gnome.finalterm.gschema.xml

%changelog
* Thu Sep 11 2014 Jason DeTiberus <jdetiber@redhat.com> 0.1-12.zsh
- new package built with tito

* Wed Sep 10 2014 Jason DeTiberus <jdetiber@redhat.com> 0.2-1.zsh.4a6afcf
- new package built with tito

* Wed Sep 10 2014 jdetiber <jdetiber@redhat.com> - 0.1-14.zsh.4a6afcf
- update to snapshot 4a6afcf082821f4d2d845729ccc3c16d85cfe786 (2014-09-10)

* Wed Sep 10 2014 jdetiber <jdetiber@redhat.com> - 0.1-13.zsh.e6899a9
- update to snapshot e6899a93ff45d5ccb9532622d52bf9db6e5c9a8c (2014-09-10)

* Tue Aug 26 2014 mattdm@fedoraproject.org - 0.1-11.3d05f0e
- update to snapshot 3d05f0e16aafc7b40b2fc07d638ca6f2eaede84b (2014-08-24)

* Mon Jul 21 2014 mattdm@fedoraproject.org - 0.1-9.6ec39f8
- update to snapshot 6ec39f8215b0732f52f74b0d96ed48abbffc1d9f (2014-07-16)

* Tue Jul 15 2014 mattdm@fedoraproject.org - 0.1-8.5ccde4e
- update to snapshot 5ccde4e8f2c02a398f9172e07c25262ecf954626 (2014-07-06)

* Wed Jul 02 2014 mattdm@fedoraproject.org - 0.1-7.811a45a
- update to snapshot 811a45ace0f5ef09cba850be27381be7e2e84665 (2014-06-28)

* Thu Jun 19 2014 mattdm@fedoraproject.org - 0.1-6.b479f36
- update to snapshot b479f362b7c01bde637bcb90fa9662cc2c6b6a5c (2014-06-19)

* Mon Jun 02 2014 Matthew Miller <mattdm@mattdm.org> - 0.1-5.186f37f
- update to snapshot 186f37f47c6b339188b010335698a396eddffd71 (2014-05-29)

* Wed May 28 2014 Matthew Miller <mattdm@fedoraproject.org> - 0.1-4
- update to new git snapshot

* Tue May 13 2014 Matthew Miller <mattdm@fedoraproject.org> - 0.1-3
- annnnd, the intltool build dep. and test mock build before
  going to Coprs. :)

* Tue May 13 2014 Matthew Miller <mattdm@fedoraproject.org> - 0.1-2
- add cmake builddep

* Tue May 13 2014 Matthew Miller <mattdm@fedoraproject.org> - 0.1-1
- initial package using May 7th 2014 snapshot

